View Issue Details

IDProjectCategoryView StatusLast Update
0001403Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterSupport 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformPC - Acer AMDOSVista Home PremiumOS Version
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001403: Sort logbook by LOTW Rec'd date gives strange results
DescriptionWhen i sort my QSO`S in the logbook by LOTW RECEIVED DATE,(descending order) if
there is no LOTW RECD confirmation the HRD program seems to insert a blank field
in the LOTW RECD DATE field, which goofs up the sort. I have been able to clear
it up by inserting the date of 12/31/1980 but im getting tired of it and would
like a permanent fix please.
Steps To ReproduceCreate/use logbook layout including LOTW Recd date. Click the LOTW Recd date
column header and note there are records with blank dates mixed in. See
screenshot.
Additional InformationReported by n4kit
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

child of 0001561 closedK7ZCZ Turn some alpha fields into numeric 

Activities

WA9PIE

2014-01-31 15:29

administrator   ~0000256

This is absolutely true. Very annoying that the sorting doesn't work well.

WA9PIE

2014-01-31 15:29

administrator   ~0000257

Column sorting is a common problem.

WA9PIE

2017-03-05 21:49

administrator   ~0003112

confirmed in 633

K7ZCZ

2017-06-04 14:44

manager   ~0003196

I have a fix coded.

WA9PIE

2017-06-09 21:02

administrator   ~0003208

I've tested it. It works for me.

WA9PIE

2017-06-21 20:59

administrator   ~0003241

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003255

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:39

viewer   ~0003287

Fixed

WA9PIE

2017-06-25 21:47

administrator   ~0003307

Team concludes that this is fixed.

w4elp

2017-06-26 06:07

viewer   ~0003326

v653: Fixed. Sort ok both up & down.

WA9PIE

2017-07-04 23:30

administrator   ~0003485

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003520

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003557

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:33 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 20:12 WA9PIE Release => (select)
2013-12-24 20:12 WA9PIE Module => (select)
2013-12-24 20:12 WA9PIE Sub-Module => (select)
2013-12-24 20:12 WA9PIE Report Build => (select)
2013-12-24 20:12 WA9PIE Assigned To Support =>
2013-12-24 20:12 WA9PIE Reproducibility @0@ => N/A
2013-12-24 22:12 WA9PIE Status assigned => new
2014-01-31 15:29 WA9PIE Note Added: 0000256
2014-01-31 15:29 WA9PIE Release (select) => 6.1
2014-01-31 15:29 WA9PIE Module (select) => Logbook
2014-01-31 15:29 WA9PIE Sub-Module (select) => Appearance/UI
2014-01-31 15:29 WA9PIE Report Build (select) => 6.1.4.189
2014-01-31 15:29 WA9PIE Note Added: 0000257
2014-01-31 15:29 WA9PIE Status new => confirmed
2014-01-31 15:34 WA9PIE Relationship added related to 0001561
2014-01-31 15:37 WA9PIE Relationship deleted related to 0001561
2014-01-31 15:37 WA9PIE Relationship added child of 0001561
2014-02-02 10:44 WA9PIE Summary Sort logbook by LOTW Rec'd date gives strange results => Bug: Sort logbook by LOTW Rec'd date gives strange results
2014-02-02 10:44 WA9PIE Description Updated View Revisions
2014-02-02 10:44 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 14:20 WA9PIE Fix Build => (select)
2015-09-29 14:20 WA9PIE Summary Bug: Sort logbook by LOTW Rec'd date gives strange results => Sort logbook by LOTW Rec'd date gives strange results
2017-03-05 21:49 WA9PIE Note Added: 0003112
2017-06-01 03:38 K7ZCZ Assigned To => K7ZCZ
2017-06-01 03:38 K7ZCZ Status confirmed => assigned
2017-06-04 14:41 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003196
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-09 21:02 WA9PIE Note Added: 0003208
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003241
2017-06-21 21:12 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 22:01 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003255
2017-06-24 04:39 g3ucq Note Added: 0003287
2017-06-25 21:47 WA9PIE Status assigned => resolved
2017-06-25 21:47 WA9PIE Note Added: 0003307
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-06-26 06:07 w4elp Note Added: 0003326
2017-07-01 08:23 WA9PIE Target Version 6.4.0.649 => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003485
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003520
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003557
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>